public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jakov Smolić" <jsmolic@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-devel/bmake/
Date: Sat, 29 Oct 2022 11:03:04 +0000 (UTC)	[thread overview]
Message-ID: <1667041159.5c09feb6bb7db957e9274925235209420aa9709a.jsmolic@gentoo> (raw)

commit:     5c09feb6bb7db957e9274925235209420aa9709a
Author:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 29 10:59:19 2022 +0000
Commit:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
CommitDate: Sat Oct 29 10:59:19 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5c09feb6

sys-devel/bmake: add 20220928

Signed-off-by: Jakov Smolić <jsmolic <AT> gentoo.org>

 sys-devel/bmake/Manifest              |  1 +
 sys-devel/bmake/bmake-20220928.ebuild | 57 +++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/sys-devel/bmake/Manifest b/sys-devel/bmake/Manifest
index 651406367477..85371986c29c 100644
--- a/sys-devel/bmake/Manifest
+++ b/sys-devel/bmake/Manifest
@@ -1,3 +1,4 @@
 DIST bmake-20220901.tar.gz 816362 BLAKE2B f2faf7ee44a83ba340a9682756e8ba3371ce2c6b4712331b666e01b00a483ae79f68b34ae62325ef55eea0ea42d0c23e1e654100913b65ecd607a78cc2cfa1ae SHA512 af8ee6ef896b76c14f63d24eaadd01e87abf2b12db69f334d29c811d69d1479f899d5aa0aadf2e6e87659175d64066bb90f2056b649141fcad20eac7d6057019
 DIST bmake-20220924.tar.gz 820164 BLAKE2B 5f74403ec68d9512ed74972b74219aa647b4c0ea855bd80fbf251f40a785c02f807c5cac0c7704469d343e43c5b84c395d3c1aab8ea3c8695314f016f1fa57c7 SHA512 85fa9e05a6020e7b41ef6af4b5a8f87f1f98651e264ba8cedacacf3b7d1dfbed3f66bb9934c252f71299aea6ac1190b03a9de0c60a833e8ac91ec854cd819f7b
+DIST bmake-20220928.tar.gz 821224 BLAKE2B 9b377a9a8d329d229aae37fd852a68629edb78f7f0f16bf8aeb59df4da886fe89d8b7defd8294fa49fca397d4726e704eb9c95936561fe8a3a0a1fdfe4e5b861 SHA512 13fde6517d79080c5a548b1e47e4fbf00d54752f48b40d10542926b26a3be22da70877ca2b977b43366ec1b632a76a6974c78155c39895910e01e4142e7675a0
 DIST mk-20210330.tar.gz 107380 BLAKE2B 9ac30a117d9ba31635cf8d8d29fdba76f148611f47628403ca8f807081c32509f10498d3c30fd24985e5420af4710fe59fc6315d71f2d0c1cfed93263a06553a SHA512 6acd3ee911442934082f4f877d795b07c5e23022eaa9c0874799d97e92a2f5a663cb45f94b7f9745c49cbbce6b7e755a29e381ccfb9e68a0be1eedbd22fd5d3b

diff --git a/sys-devel/bmake/bmake-20220928.ebuild b/sys-devel/bmake/bmake-20220928.ebuild
new file mode 100644
index 000000000000..293ca90bc9de
--- /dev/null
+++ b/sys-devel/bmake/bmake-20220928.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MK_VER=20210330
+
+DESCRIPTION="NetBSD's portable make"
+HOMEPAGE="http://www.crufty.net/help/sjg/bmake.html"
+SRC_URI="
+	http://void.crufty.net/ftp/pub/sjg/${P}.tar.gz
+	http://void.crufty.net/ftp/pub/sjg/mk-${MK_VER}.tar.gz"
+S="${WORKDIR}/${PN}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+
+# Skip failing test (sandbox and csh)
+PATCHES=(
+	"${FILESDIR}"/${PN}-20210206-tests.patch
+)
+
+src_prepare() {
+	default
+	cd "${WORKDIR}" || die
+	eapply "${FILESDIR}"/${PN}-20210314-mk-fixes.patch
+}
+
+src_configure() {
+	econf \
+		--with-mksrc=../mk \
+		--with-default-sys-path="${EPREFIX}"/usr/share/mk/${PN} \
+		--with-machine_arch=${ARCH}
+}
+
+src_compile() {
+	sh make-bootstrap.sh || die "bootstrap failed"
+}
+
+src_test() {
+	cd unit-tests || die
+
+	# the 'ternary' test uses ${A} internally, which
+	# conflicts with Gentoo's ${A}, hence unset it for
+	# the tests temporarily.
+	env -u A MAKEFLAGS= \
+		"${S}"/bmake -r -m / TEST_MAKE="${S}"/bmake test || die "tests compilation failed"
+}
+
+src_install() {
+	dobin ${PN}
+	doman ${PN}.1
+	FORCE_BSD_MK=1 SYS_MK_DIR=. \
+		sh ../mk/install-mk -v -m 644 "${ED}"/usr/share/mk/${PN} \
+		|| die "failed to install mk files"
+}


             reply	other threads:[~2022-10-29 11:03 UTC|newest]

Thread overview: 117+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-10-29 11:03 Jakov Smolić [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-01-10  8:21 [gentoo-commits] repo/gentoo:master commit in: sys-devel/bmake/ Jakov Smolić
2024-01-08 21:10 Arthur Zamarin
2023-12-27  0:20 Jakov Smolić
2023-12-11  4:33 Arthur Zamarin
2023-12-11  4:33 Arthur Zamarin
2023-12-08 10:25 Arthur Zamarin
2023-12-08 10:05 Arthur Zamarin
2023-12-08  9:38 Jakov Smolić
2023-11-22 17:10 Jakov Smolić
2023-07-25  8:28 Jakov Smolić
2023-07-24 22:50 Sam James
2023-06-10  5:22 Jakov Smolić
2023-06-09 17:47 Arthur Zamarin
2023-05-18 15:56 Jakov Smolić
2023-05-18 15:56 Jakov Smolić
2023-04-25 20:57 Sam James
2023-04-25 18:44 Jakov Smolić
2023-04-25 13:48 Arthur Zamarin
2023-04-11 21:42 Jakov Smolić
2023-04-11 18:43 Arthur Zamarin
2023-04-04  8:20 Jakov Smolić
2023-03-06 19:19 Jakov Smolić
2023-03-06 19:19 Jakov Smolić
2023-01-25  6:44 Jakov Smolić
2023-01-08 17:06 Jakov Smolić
2023-01-08 17:00 Arthur Zamarin
2022-11-14 10:46 WANG Xuerui
2022-10-07 12:25 Jakov Smolić
2022-10-06  5:58 Jakov Smolić
2022-10-05 11:35 Sam James
2022-10-04 15:42 Jakov Smolić
2022-09-03 14:09 Jakov Smolić
2022-09-03 14:09 Jakov Smolić
2022-08-31  7:36 Jakov Smolić
2022-08-21 14:57 Jakov Smolić
2022-08-16 15:07 Sam James
2022-07-31  7:15 Jakov Smolić
2022-07-02 11:18 Jakov Smolić
2022-05-29 17:27 Jakov Smolić
2022-05-28 15:58 Jakov Smolić
2022-05-20 18:41 Jakov Smolić
2022-05-20 18:41 Jakov Smolić
2022-04-27 19:47 Jakov Smolić
2022-04-12  8:17 Jakov Smolić
2022-04-12  8:17 Jakov Smolić
2022-04-07 20:58 Jakov Smolić
2022-04-04 12:26 Jakov Smolić
2022-03-31 17:36 Jakov Smolić
2022-03-08  8:54 Jakov Smolić
2022-02-24 11:55 Jakov Smolić
2022-02-24 11:55 Jakov Smolić
2022-02-24  9:38 Jakov Smolić
2022-02-24  9:37 Jakov Smolić
2022-02-11 19:18 Jakov Smolić
2022-01-18 13:09 Jakov Smolić
2022-01-18 13:09 Jakov Smolić
2022-01-18 13:09 Jakov Smolić
2022-01-18 13:09 Jakov Smolić
2021-12-27 11:11 Jakov Smolić
2021-12-19  9:01 Jakov Smolić
2021-12-19  9:01 Jakov Smolić
2021-12-13 20:29 Jakov Smolić
2021-12-10  9:38 Jakov Smolić
2021-12-10  9:38 Jakov Smolić
2021-11-05 10:40 Jakov Smolić
2021-11-05 10:40 Jakov Smolić
2021-11-05 10:40 Jakov Smolić
2021-10-27  5:58 Jakov Smolić
2021-10-07  8:12 Jakov Smolić
2021-09-12 10:14 Jakov Smolić
2021-09-12 10:14 Jakov Smolić
2021-08-28 21:02 Jakov Smolić
2021-08-28 21:02 Jakov Smolić
2021-08-13  8:13 David Seifert
2021-08-13  8:13 David Seifert
2021-08-12 19:59 David Seifert
2021-07-29 10:46 Joonas Niilola
2021-07-29 10:46 Joonas Niilola
2021-07-18 11:06 David Seifert
2021-05-27 21:13 David Seifert
2021-05-04 22:30 Sam James
2021-05-04 22:30 Sam James
2021-04-27  9:47 David Seifert
2021-04-27  9:47 David Seifert
2021-04-27  9:47 David Seifert
2021-03-26 13:24 David Seifert
2021-03-26 13:24 David Seifert
2021-03-23 14:44 David Seifert
2020-12-31  1:20 Sam James
2020-08-23  8:21 Sergei Trofimovich
2020-08-18 11:22 Agostino Sarubbo
2020-08-17 13:50 Agostino Sarubbo
2020-08-16 16:45 David Seifert
2020-05-15  9:21 Jason A. Donenfeld
2020-01-28 18:11 David Seifert
2020-01-28 18:11 David Seifert
2017-08-23  7:30 Alexis Ballier
2017-05-25 15:48 Alexis Ballier
2017-05-25 15:48 Alexis Ballier
2017-04-23 12:36 Alexis Ballier
2017-02-09 14:03 Alexis Ballier
2016-12-29 15:45 Alexis Ballier
2016-12-21 10:46 Patrice Clement
2016-12-21 10:46 Patrice Clement
2016-12-21 10:46 Patrice Clement
2016-12-21 10:46 Patrice Clement
2016-12-17 13:08 Alexis Ballier
2016-12-17 13:08 Alexis Ballier
2016-10-20 13:06 Alexis Ballier
2016-08-27 18:32 Alexis Ballier
2016-08-03 10:30 Alexis Ballier
2016-08-03 10:30 Alexis Ballier
2016-04-05 11:29 Alexis Ballier
2016-03-08  8:44 Alexis Ballier
2016-01-26  8:01 Alexis Ballier
2015-10-20 14:24 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1667041159.5c09feb6bb7db957e9274925235209420aa9709a.jsmolic@gentoo \
    --to=jsmolic@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox